declare namespace webOSSignage {
	interface IIDCAPError {
		errorCode: number;
		errorMessage?: string;
	}

	interface IDCAP {
		request(
			uri: string,
			options: {
				parameters?: unknown;
				onSuccess?: (value: unknown) => void;
				onFailure?: (error: Error) => void;
			},
		): void;
	}
}

interface Window {
	idcap: webOSSignage.IDCAP;
}
